Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk.flash
Class NorFlashSectorState

    java.lang.Object
      com.sun.squawk.flash.NorFlashSectorState

All Implemented Interfaces:
  INorFlashSectorState

    public class NorFlashSectorState

extends Object
implements INorFlashSectorState

Field Summary
`static byte[]` | `BUFFER`
`protected Address` | `endAddress`
`static byte[]` | `ERASED_HEADER`
`static int` | `ERASED_HEADER_SIZE`
`protected INorFlashSector` | `flashSector`
`protected int` | `freedBlockCount`
`protected boolean` | `hasErasedHeader`
`protected int` | `mallocedBlockCount`
`protected INorFlashSectorState` | `nextSector`
`protected INorFlashSectorStateList` | `owningList`
`protected long` | `sequence`
`protected Address` | `startAddress`
`protected int` | `writeHead`

Constructor Summary
`protected` | `NorFlashSectorState()`
`` | `NorFlashSectorState(INorFlashSector flashSector)`

Method Summary
`protected void` | `checkReadWriteParameters(int offset, byte[] buffer, int bufferStart, int bufferLength)`
`void` | `decrementMallocedCount()`
`void` | `erase(long sequence)`
`void` | `forceErase()`
`int` | `getAllocatedBlockCount()`
`Address` | `getEndAddress()`
`int` | `getFreedBlockCount()`
`INorFlashSectorState` | `getNextSector()`
`INorFlashSectorStateList` | `getOwningList()`
`long` | `getSequence()`
`int` | `getSize()`
`Address` | `getStartAddress()`
`Address` | `getWriteHeadAddress()`
`int` | `getWriteHeadPosition()`
`boolean` | `hasAvailable(int length)`
`boolean` | `hasErasedHeader()`
`void` | `incrementAllocatedBlockCount()`
`void` | `incrementFreedBlockCount()`
`void` | `init(Address startAddress, int size)`
`protected void` | `initState()`
`void` | `readBytes(int offset, byte[] buffer, int bufferStart, int bufferLength)`
`void` | `removeErasedHeader()`
`void` | `resetHead()`
`void` | `setNextSector(INorFlashSectorState next)`
`void` | `setOwningList(INorFlashSectorStateList list)`
`void` | `setWriteHeadPosition(int position)`
`void` | `writeBytes(byte[] buffer, int bufferStart, int bufferLength)`
`void` | `writeBytes(int offset, byte[] buffer, int bufferStart, int bufferLength)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ERASED_HEADER

    public static final byte[] ERASED_HEADER

### ERASED_HEADER_SIZE

    public static final int ERASED_HEADER_SIZE

### BUFFER

    public static final byte[] BUFFER

### startAddress

    protected Address startAddress

### endAddress

    protected Address endAddress

### writeHead

    protected int writeHead

### flashSector

    protected INorFlashSector flashSector

### sequence

    protected long sequence

### nextSector

    protected INorFlashSectorState nextSector

### owningList

    protected INorFlashSectorStateList owningList

### mallocedBlockCount

    protected int mallocedBlockCount

### freedBlockCount

    protected int freedBlockCount

### hasErasedHeader

    protected boolean hasErasedHeader

Constructor Detail

### NorFlashSectorState

    protected NorFlashSectorState()

### NorFlashSectorState

    public NorFlashSectorState(INorFlashSector flashSector)

Method Detail

### checkReadWriteParameters

    protected void checkReadWriteParameters(int offset,
                                            byte[] buffer,
                                            int bufferStart,
                                            int bufferLength)

### decrementMallocedCount

    public void decrementMallocedCount()

  Specified by:
    `decrementMallocedCount` in interface `INorFlashSectorState`

### erase

    public void erase(long sequence)
               throws RecordStoreException

  Specified by:
    `erase` in interface `INorFlashSectorState`
  Throws:
    `RecordStoreException`

### forceErase

    public void forceErase()
                    throws RecordStoreException

  Specified by:
    `forceErase` in interface `INorFlashSectorState`
  Throws:
    `RecordStoreException`

### getNextSector

    public INorFlashSectorState getNextSector()

  Specified by:
    `getNextSector` in interface `INorFlashSectorState`

### getOwningList

    public INorFlashSectorStateList getOwningList()

  Specified by:
    `getOwningList` in interface `INorFlashSectorState`

### getEndAddress

    public Address getEndAddress()

  Specified by:
    `getEndAddress` in interface `INorFlashSectorState`

### getFreedBlockCount

    public int getFreedBlockCount()

  Specified by:
    `getFreedBlockCount` in interface `INorFlashSectorState`

### getSequence

    public long getSequence()

  Specified by:
    `getSequence` in interface `INorFlashSectorState`

### getSize

    public int getSize()

  Specified by:
    `getSize` in interface `INorFlashSectorState`

### getStartAddress

    public Address getStartAddress()

  Specified by:
    `getStartAddress` in interface `INorFlashSectorState`

### getAllocatedBlockCount

    public int getAllocatedBlockCount()

  Specified by:
    `getAllocatedBlockCount` in interface `INorFlashSectorState`

### getWriteHeadAddress

    public Address getWriteHeadAddress()

  Specified by:
    `getWriteHeadAddress` in interface `INorFlashSectorState`

### getWriteHeadPosition

    public int getWriteHeadPosition()

  Specified by:
    `getWriteHeadPosition` in interface `INorFlashSectorState`

### hasAvailable

    public boolean hasAvailable(int length)

  Specified by:
    `hasAvailable` in interface `INorFlashSectorState`

### hasErasedHeader

    public boolean hasErasedHeader()

  Specified by:
    `hasErasedHeader` in interface `INorFlashSectorState`

### incrementAllocatedBlockCount

    public void incrementAllocatedBlockCount()

  Specified by:
    `incrementAllocatedBlockCount` in interface `INorFlashSectorState`

### incrementFreedBlockCount

    public void incrementFreedBlockCount()

  Specified by:
    `incrementFreedBlockCount` in interface `INorFlashSectorState`

### init

    public void init(Address startAddress,
                     int size)

### initState

    protected void initState()

### readBytes

    public void readBytes(int offset,
                          byte[] buffer,
                          int bufferStart,
                          int bufferLength)

  Specified by:
    `readBytes` in interface `INorFlashSectorState`

### removeErasedHeader

    public void removeErasedHeader()
                            throws RecordStoreException

  Specified by:
    `removeErasedHeader` in interface `INorFlashSectorState`
  Throws:
    `RecordStoreException`

### resetHead

    public void resetHead()

  Specified by:
    `resetHead` in interface `INorFlashSectorState`

### setNextSector

    public void setNextSector(INorFlashSectorState next)

  Specified by:
    `setNextSector` in interface `INorFlashSectorState`

### setOwningList

    public void setOwningList(INorFlashSectorStateList list)

  Specified by:
    `setOwningList` in interface `INorFlashSectorState`

### setWriteHeadPosition

    public void setWriteHeadPosition(int position)

  Specified by:
    `setWriteHeadPosition` in interface `INorFlashSectorState`

### writeBytes

    public void writeBytes(byte[] buffer,
                           int bufferStart,
                           int bufferLength)

  Specified by:
    `writeBytes` in interface `INorFlashSectorState`

### writeBytes

    public void writeBytes(int offset,
                           byte[] buffer,
                           int bufferStart,
                           int bufferLength)

  Specified by:
    `writeBytes` in interface `INorFlashSectorState`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"